commit:     863e2bed124b69af5df912b5e44c86e6fc4da244
Author:     Harri Nieminen <moikkis <AT> gmail <DOT> com>
AuthorDate: Tue Feb 14 13:51:13 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Feb 14 19:42:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=863e2bed

x11-misc/bbtime: EAPI bump 4 -> 6

Package-Manager: Portage-2.3.3, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/3967

 x11-misc/bbtime/bbtime-0.1.5-r1.ebuild            | 37 +++++++++++++++++++++++
 x11-misc/bbtime/files/bbtime-0.1.5-asneeded.patch |  8 ++---
 2 files changed, 41 insertions(+), 4 deletions(-)

diff --git a/x11-misc/bbtime/bbtime-0.1.5-r1.ebuild 
b/x11-misc/bbtime/bbtime-0.1.5-r1.ebuild
new file mode 100644
index 0000000000..acfb02e321
--- /dev/null
+++ b/x11-misc/bbtime/bbtime-0.1.5-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="blackbox time watcher"
+HOMEPAGE="https://sourceforge.net/projects/bbtools/";
+SRC_URI="mirror://sourceforge/bbtools/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND="x11-libs/libX11"
+DEPEND="${RDEPEND}"
+
+DOCS=( README AUTHORS BUGS ChangeLog NEWS TODO data/README.bbtime )
+PATCHES=( "${FILESDIR}"/${P}-asneeded.patch )
+
+src_prepare() {
+       default
+       mv configure.{in,ac} || die
+       eautoreconf
+}
+
+src_install () {
+       default
+       rm "${ED%/}"/usr/share/bbtools/README.bbtime || die
+       # since multiple bbtools packages provide this file, install
+       # it in /usr/share/doc/${PF}
+       mv "${ED%/}/usr/share/bbtools/bbtoolsrc.in" \
+               "${ED%/}/usr/share/doc/${PF}/bbtoolsrc.example" || die
+}

diff --git a/x11-misc/bbtime/files/bbtime-0.1.5-asneeded.patch 
b/x11-misc/bbtime/files/bbtime-0.1.5-asneeded.patch
index 17788812d8..734d60a89b 100644
--- a/x11-misc/bbtime/files/bbtime-0.1.5-asneeded.patch
+++ b/x11-misc/bbtime/files/bbtime-0.1.5-asneeded.patch
@@ -2,8 +2,8 @@ Fixing build with as-needed
 
 https://bugs.gentoo.org/show_bug.cgi?id=248555
 
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
 @@ -47,14 +47,9 @@
  AC_PATH_X
  AC_PATH_XTRA
@@ -21,8 +21,8 @@ https://bugs.gentoo.org/show_bug.cgi?id=248555
  
  dnl Checks for header files.
  AC_HEADER_STDC
---- Makefile.am
-+++ Makefile.am
+--- a/Makefile.am
++++ b/Makefile.am
 @@ -1,5 +1,4 @@
 -CPPFLAGS =    @CPPFLAGS@ \
 -              -DDEFAULT_CONF=\"$(datadir)/bbtools/bbtime.conf\" \

Reply via email to